<?php
			session_start();

			require_once("./model/gestion_model.php");
			require_once("./model/gestion_model2.php");
			require_once("./model/carga_model4.php");
			/* require_once("./model/carga_model2.php"); */

			date_default_timezone_set("America/Lima");

			$ges = new gestion_model();
			$ges2 = new gestion_model2();

			$almacen_ccosto = $ges->get_almacen_ccosto();

			// SESIÓN INICIADA

			if(isset($_SESSION['id_usuario_almacen']) && !isset($_POST['CARGAR'])){

				require_once("./view/carga_masiva_productos4.phtml");
				
			}

			if(!isset($_SESSION['id_usuario_almacen'])){

				echo'<script type="text/javascript">alert("NO HA INGRESADO SESIÓN");window.location.href="index.php";</script>';
				
			}

			if(isset($_SESSION['id_usuario_almacen']) && isset($_POST['CARGAR'])){

				require_once("./view/cargando.phtml");

				if( isset($_POST['almacen'])){

					if (isset($_FILES['uploadedFile']) && $_FILES['uploadedFile']['error'] === UPLOAD_ERR_OK) {

							$fileTmpPath = $_FILES['uploadedFile']['tmp_name'];
							$fileName = $_FILES['uploadedFile']['name'];
							$fileSize = $_FILES['uploadedFile']['size'];
							$fileType = $_FILES['uploadedFile']['type'];
							$fileNameCmps = explode(".", $fileName);
							$fileExtension = strtolower(end($fileNameCmps));
							$nombrearchivo = date("YmdHisu"); 
							$newFileName = md5(time() . $nombrearchivo) . '.' . $fileExtension;
							$uploadFileDir = './cargas/';
							$dest_path = $uploadFileDir . $newFileName;

							if(move_uploaded_file($fileTmpPath, $dest_path))
							{
									$carga = new carga_model();
									$res_subidos = $carga->set_base("./cargas/".$newFileName , $_POST['almacen']);
									$subidos = $res_subidos;
							}

					}else{
							$newFileName='';
					}
					
					echo'<script type="text/javascript">alert("CARGA MASIVA: '.$subidos.'");window.location.href="carga_masiva_productos4.php";</script>';

				}else{

					echo'<script type="text/javascript">alert("DATOS INCOMPLETOS");window.location.href="carga_masiva_productos4.php";</script>';

				}



			}


?>